Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226646 - Merge Review: xorg-x11-util-macros
Summary: Merge Review: xorg-x11-util-macros
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:33 UTC by Nobody's working on this, feel free to take it
Modified: 2010-07-20 04:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-20 00:35:33 UTC
panemade: fedora-review+


Attachments (Terms of Use)
xorg-x11-util-macros-spec-cleanup.patch (deleted)
2010-07-19 14:38 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 21:33:55 UTC
Fedora Merge Review: xorg-x11-util-macros

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-util-macros/
Initial Owner: ajackson@redhat.com

Comment 1 Parag AN(पराग) 2010-07-19 14:37:01 UTC
1) rpmlint on SRPM and RPM reported 
xorg-x11-util-macros.src: W: spelling-error Summary(en_US) Autotools -> Auto tools, Auto-tools, Autopilots
xorg-x11-util-macros.src: W: spelling-error %description -l en_US autotools -> auto tools, auto-tools, autopilots
xorg-x11-util-macros.noarch: E: explicit-lib-dependency libtool
xorg-x11-util-macros.noarch: W: spelling-error Summary(en_US) Autotools -> Auto tools, Auto-tools, Autopilots
xorg-x11-util-macros.noarch: W: spelling-error %description -l en_US autotools -> auto tools, auto-tools, autopilots
xorg-x11-util-macros.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/xorg-macros.pc
2 packages and 0 specfiles checked; 1 errors, 5 warnings.

2) I will suggest this package to follow current packaging guidelines and
remove buildroot, %clean section and cleaning of build root in %install. But this is not blocker for this review.

3) But reviewguildlines also says
MUST: Each package must consistently use macros. [16]
so this package should use macros.

Comment 2 Parag AN(पराग) 2010-07-19 14:38:55 UTC
Created attachment 432910 [details]
xorg-x11-util-macros-spec-cleanup.patch

Can this patch be applied to devel branch by current package owner for this package?

Comment 3 Peter Hutterer 2010-07-20 00:35:33 UTC
(In reply to comment #2)
> Created an attachment (id=432910) [details]
> xorg-x11-util-macros-spec-cleanup.patch
> 
> Can this patch be applied to devel branch by current package owner for this
> package?    

done, thanks.

Comment 4 Parag AN(पराग) 2010-07-20 04:00:21 UTC
Hi Peter,
  This is merge package review, See https://fedoraproject.org/wiki/Merge_Reviews

Thanks for applying the patch. Package looks good now and following fedora packaging guidelines.

APPROVED this merge-review now for build xorg-x11-util-macros-1.10.0-2.fc14


Note You need to log in before you can comment on or make changes to this bug.